paex_record_file.c File Reference
Example programs demonstrating PortAudio usage

Record input into a file, then playback recorded data from file (Windows only at the moment) More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include "portaudio.h"`
`#include "pa_ringbuffer.h"`
`#include "pa_util.h"`

Go to the source code of this file.

## Data Structures

struct | paTestData

## Macros

#define | FILE_NAME "audio_data.raw"
#define | SAMPLE_RATE (44100)
#define | FRAMES_PER_BUFFER (512)
#define | NUM_SECONDS (10)
#define | NUM_CHANNELS (2)
#define | NUM_WRITES_PER_BUFFER (4)
#define | DITHER_FLAG (0)
#define | PA_SAMPLE_TYPE paFloat32
#define | SAMPLE_SILENCE (0.0f)
#define | PRINTF_S_FORMAT "%.8f"

## Typedefs

typedef float | SAMPLE
typedef int(* | ThreadFunctionType) (void *)

## Functions

int | main (void)

## Detailed Description

Record input into a file, then playback recorded data from file (Windows only at the moment)

Author
  Robert Bielik

Definition in file paex_record_file.c.

## Macro Definition Documentation

## DITHER_FLAG

#define DITHER_FLAG (0)

Definition at line 68 of file paex_record_file.c.

## FILE_NAME

#define FILE_NAME "audio_data.raw"

Definition at line 61 of file paex_record_file.c.

## FRAMES_PER_BUFFER

#define FRAMES_PER_BUFFER (512)

Definition at line 63 of file paex_record_file.c.

## NUM_CHANNELS

#define NUM_CHANNELS (2)

Definition at line 65 of file paex_record_file.c.

## NUM_SECONDS

#define NUM_SECONDS (10)

Definition at line 64 of file paex_record_file.c.

## NUM_WRITES_PER_BUFFER

#define NUM_WRITES_PER_BUFFER (4)

Definition at line 66 of file paex_record_file.c.

## PA_SAMPLE_TYPE

#define PA_SAMPLE_TYPE paFloat32

Definition at line 73 of file paex_record_file.c.

## PRINTF_S_FORMAT

#define PRINTF_S_FORMAT "%.8f"

Definition at line 76 of file paex_record_file.c.

## SAMPLE_RATE

#define SAMPLE_RATE (44100)

Definition at line 62 of file paex_record_file.c.

## SAMPLE_SILENCE

#define SAMPLE_SILENCE (0.0f)

Definition at line 75 of file paex_record_file.c.

## Typedef Documentation

## SAMPLE

typedef float SAMPLE

Definition at line 74 of file paex_record_file.c.

## ThreadFunctionType

typedef int(* ThreadFunctionType) (void *)

Definition at line 195 of file paex_record_file.c.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 302 of file paex_record_file.c.